package com.ruoyi.common.enums;

import com.ruoyi.common.utils.StringUtils;

/**
 * 0否，1是
 */
public enum BoolValues {
    other(-1, "其他"),
    no(0, "否"),
    yes(1, "是"),
    ;

    private Integer value;
    private String remark;

    private BoolValues(Integer value, String remark) {
        this.value = value;
        this.remark = remark;
    }

    public Integer getValue() {
        return value;
    }

    public String getRemark() {
        return remark;
    }

    public static BoolValues getByValue(String value) {
        for (BoolValues o : BoolValues.values()) {
            if (o.getValue().equals(value)) {
                return o;
            }
        }
        return null;
    }

    public static Boolean isTrue(Object value)
    {
        if(StringUtils.isNull(value)){
            return false;
        }
        if(value instanceof Long||value instanceof Integer){
            return BoolValues.yes.getValue()==Integer.parseInt(String.valueOf(value));
        }
        return false;
    }

    public static Boolean isOther(Object value)
    {
        if(StringUtils.isNull(value)){
            return false;
        }
        if(value instanceof Long||value instanceof Integer){
            return BoolValues.other.getValue()==Integer.parseInt(String.valueOf(value));
        }
        return false;
    }

    public static Boolean isFalse(Object value)
    {
        return !isTrue(value);
    }
}
